Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510495 - yumRepo: migrate more prints to logging
Summary: yumRepo: migrate more prints to logging
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Domonkos
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1630909
TreeView+ depends on / blocked
 
Reported: 2017-11-07 14:55 UTC by Michal Domonkos
Modified: 2019-01-03 14:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Michal Domonkos 2017-11-07 14:55:32 UTC
Description of problem:

Backport this:

commit 55a8f8dc2e83b2c1484329f5a902dd6cea1b9cc6 (origin/use-logging, use-logging)
Author: Michal Domonkos <mdomonko@redhat.com>
Date:   Tue Nov 7 14:27:44 2017 +0100

    yumRepo: migrate more prints to logging
    
    Why these in particular?  Some of them are rather common in real life
    scenarios (remote repos going down etc.) and respecting errorlevel will
    make life easier for yum-cron users who choose to silence errors with
    debuglevel=-4 (yum-cron sets errorlevel = debuglevel + 4), such as to
    avoid getting emails after every repo failure.

GitHub PR:
https://github.com/rpm-software-management/yum/pull/58

Comment 1 Robert Story 2018-10-24 15:12:00 UTC
These messages are still aggravating me in 7.5, and have been for years (see bz#1271287). Can we plesase get this really simple upstream fix backported to CentOS 7?

Comment 2 Michal Domonkos 2018-10-24 15:40:15 UTC
Yes, we are considering a backport to RHEL in the upcoming minor release, after which it should make it into CentOS as well.


Note You need to log in before you can comment on or make changes to this bug.